@variants responsive {
  /* transform-origin */
  .origin-center {
    transform-origin: center;
  }
  .origin-top {
    transform-origin: top;
  }
  .origin-right {
    transform-origin: right;
  }
  .origin-bottom {
    transform-origin: bottom;
  }
  .origin-left {
    transform-origin: left;
  }
  .origin-top-right {
    transform-origin: top right;
  }
  .origin-bottom-right {
    transform-origin: bottom right;
  }
  .origin-bottom-left {
    transform-origin: bottom left;
  }
  .origin-top-left {
    transform-origin: top left;
  }

  /* transform: scale */
  .scale-0 {
    transform: scale(0);
  }
  .scale-25 {
    transform: scale(.25);
  }
  .scale-50 {
    transform: scale(.50);
  }
  .scale-75 {
    transform: scale(.75);
  }
  .scale-100 {
    transform: scale(1);
  }

  .scale-x-0 {
    transform: scaleX(0);
  }
  .scale-x-25 {
    transform: scaleX(.25);
  }
  .scale-x-50 {
    transform: scaleX(.50);
  }
  .scale-x-75 {
    transform: scaleX(.75);
  }
  .scale-x-100 {
    transform: scaleX(1);
  }
}